Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-63060

Update project README installation instructions

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      I think we can update the README file.

      Here we use `will` as in the future, but I think we should change it to the present.

      >This plugin will be capable of executing code fragments via IPython kernel as currently supported by Jupyter.

      Under the Python dependencies, we need to specify the Python version. I can see JDK 8, but no mention of Python version.

      Also probably just need a list of dependencies. So users can choose to use `pip`, `poetry`, `conda`, etc. But probably also good to specify the version if we know what version is required.

      The section about contributing to the plugin is probably better in CONTRIBUTING.md, in a separate file.

      Finally, the instructions start with the Python dependencies, then go on some configuration. Then come back to JDK and more dependencies in "Guideline for setup". We should have a single section for the setup/installations.

        Attachments

          Activity

            People

            Assignee:
            loghijiaha Loghi Perinpanayagam
            Reporter:
            kinow Bruno P. Kinoshita
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: